Subject: Carnivorous Plants

From: [email-masked] (Richard White)
Date: Fri, 03 Mar 1995 01:03:36 -0800

I know this is probably a question for rec.arts.terrariums or somesuch but
this is the closest I could find to it. Does anyone know a good source for
carnivorous plants? I had a terrarium with many varieties when I was
growing up- a couple of species of sundews, several pitchers, and some
venus flytraps. As I remember, there was a mail-order company I bought
from that specialized in this type of thing. Anyone know of one? Thanks in
advance. :)

---

From: "E. Gilding" <[email-masked]>
Date: 4 Mar 1995 08:12:16 GMT

> from that specialized in this type of thing. Anyone know of one? Thanks in

I too am interested in CP, but right now I only have Nepenthes  sp.
they are the only which I can go with no problems, every thing else
succumbs to the heat as it is very hard to come by souch things as
truly tropical sundews and pinguiculas.  I suggest you buy a book on the
subject, there are many good and COLORFUL books filled with information

The following two companies I have oordered from with satisfaction.

Lee's Botanical Gardens
P.O. Box 669 
LaBelle FL, 33935 USA

They offer a wide selection of Sarracenias (pitcher plants), and their
hybrids.  Carries bladderwoprts, droseras(sundews), nepenthes (tropical pitcher plants)
and pinguiculas(butterworts).  also has the old standby, Dionaea (venus fly trap)
and ferns and orchids. Quick service and good prices,  the nepenthes I ordered were
on the small side for the price but I found the plants correctly labeled and in good
condition.  Everything is in botanical latin with some short common names, NO DESCRIPTIONS
so you'll need a book to decipher the plants.

Orgel's Orchids
18950 S.W. 136th Street 
Miami FL 33196

They offer the usual selection of droseras, pinguiculas, and bladderworts.
the main attraction here are the NEPENTHES species and hybrids and
the SARRACENIAs.  They usually give a free sarracenia with every order
This buy used to have the largest collection of nepenthes for sale that i knew of
he had all the coice stuff. unfortunately, Hurricane Andrew destroyed mopst of it
and unfortunately, many of the coice nepenthes varieties are now only available
at outrageous prices or from foreign growers. He also sells orchids
and other tropicals.

there are other carnivorous plant companies but I havent ordered from them yet.

enjoy

---

From: [email-masked]
Date: 4 Mar 95 23:12:35 -0600

> from that specialized in this type of thing. Anyone know of one? Thanks in

You might also want to check the carnivorous plants mail list.  According
to many of the growers on that list, there's at least one widely
advertising "nursery" that sells carnivorous plants stripped from the
wild.  Not a nice thing to do.

Be sure to ask if the plants are artificially propagated.  Don't
fall for "nursery grown" which can mean "stripped from the field
and plunked in a bed or greenhouse for a couple of weeks, then
sold".

Kay Klier  [email-masked]

---

From: [email-masked] ()
Date: 6 Mar 1995 15:09:30 GMT

re: Carnivorous plants...

I know I've seen venus fly-traps in the Morgan & Thompson catalogs, but
I don't know about the others.  Please keep this group updated when you
find something.

- Tom

---

From: [email-masked] ()
Date: 6 Mar 1995 15:09:30 GMT

- Tom